# signs_type.h File Reference

Types related to signs. More...

Go to the source code of this file.

## Typedefs
typedef uint16 | SignID
## Enumerations
enum | { INVALID_SIGN = 0xFFFF, MAX_LENGTH_SIGN_NAME_BYTES = 31, MAX_LENGTH_SIGN_NAME_PIXELS = 255 }

## Detailed Description

Types related to signs.

Definition in file signs_type.h.

## Enumeration Type Documentation

anonymous enum

Enumerator:

  MAX_LENGTH_SIGN_NAME_BYTES | The maximum length of a sign name in bytes including ''.
  MAX_LENGTH_SIGN_NAME_PIXELS | The maximum length of a sign name in pixels.

Definition at line 18 of file signs_type.h.